version: '3.7'

services:

  inventory:
    image: registry.gitlab.com/protective-h2020-eu/enrichment/context-awareness/ca-fusioninventory:2.2.0.SNAPSHOT
    init: true
    depends_on:
      - mair
    environment:
      IN_DOCKER: 1
      SPRING_PROFILE: container-nossl
      WAIT_FOR_HOST_AND_PORT: mair:8080
    volumes:
      - ./logs:/logs
    ports:
      - "8089:8080"
      - "127.0.0.1:8766:8765"
    restart: unless-stopped

  mair:
    image: registry.gitlab.com/protective-h2020-eu/enrichment/context-awareness/ca-mair:2.2.0.SNAPSHOT
    init: true
    depends_on:
      - mairdb
    environment:
      IN_DOCKER: 1
      SPRING_PROFILE: container
      WAIT_FOR_HOST_AND_PORT: mairdb:27017
      SPRING_DATA_MONGODB_URI: mongodb://mairdb:27017/test
#      CAMAIR_CAASURL: http://the.url.of.ca.as:with.optional.port
    volumes:
      - ./logs:/logs
    ports:
      - "8080:8080"
      - "127.0.0.1:8765:8765"
    restart: unless-stopped

  mairdb:
    image: mongo:4.0
    init: true
    environment:
      - MONGO_DATA_DIR=/data/db
    volumes:
      - mair-data-db:/data/db
    ports:
      - "127.0.0.1:27019:27017"
    restart: unless-stopped

  keycloak:
    image: registry.gitlab.com/protective-h2020-eu/viz/protdash-angular/keycloak/keycloak-server:v1
    init: true
    ports:
      - "9080:8080"

  neon:
    image: registry.gitlab.com/protective-h2020-eu/viz/neon-docker:phase2-node
    # init: true
    ports:
      - "9090:8080"
    # links:
    #   - db:db

  dashboard:
    image: registry.gitlab.com/protective-h2020-eu/viz/protdash-angular/pilot2:keycloak-v1
    command: >
      ash -c "npm install &&
      sed -i 's,{NODE_URL},localhost,g' src/environments/environment.ts &&
      sed -i 's,{NEON_HOSTNAME},mairdb:27017,g' src/environments/environment.ts &&
      sed -i 's,{NEON_ADDRESS},http://localhost:9090/neon,g' src/environments/environment.ts &&
      sed -i 's,{CA_MAIR_HOSTNAME},http://localhost,g' src/environments/environment.ts &&
      sed -i 's,{CA_MAIR_ADDRESS},http://localhost:8080/api/,g' src/environments/environment.ts &&
      sed -i 's,{KEYCLOAK_SERVER},http://localhost:9080/auth,g' src/environments/environment.ts &&
      sh startDash.sh"
    ports:
      - "4200:4200"
      - "4201:4201"
    links:
      # - db:db
      - neon:neon

volumes:
  mair-data-db:

networks:
  default:
    driver_opts:
      "com.docker.network.driver.mtu": "1450"
